# Docker.Containers.GitSparseClone [![Build Status](https://ci.spamasaurus.com/api/badges/djpbessems/Docker.Containers.GitSparseClone/status.svg)](https://ci.spamasaurus.com/djpbessems/Docker.Containers.GitSparseClone)
Useful as a Kubernetes-sidecar container that downloads files from a git-repository to a Kubernetes-volumeMount, which other containers can then also mount and use.  

### Usage:
```  
docker run -it \
    -e SPARSE_CHECKOUT=<filter> \
    -e REMOTE_REPO=<url> \
    -e REMOTE_BRANCH=<branch> \
    -e TARGET_DIR=<path> \
# Optional
    -e FLATTENFOLDER=true \
-d djpbessems/git-sidecar
```